View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000278Ecere SDKecerepublic2009-10-30 02:322014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000278: GetKeyState quirks
DescriptionGetKeyState does not support querying for alt/shift/control for both left & right at same time

It is not implemented at all on Linux
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0001301)
jerome (administrator)
2014-05-20 20:52

Linux implementation:
https://github.com/ecere/ecere-sdk/commit/209da66ccb7cde919c568a44884d40d73a370c4f [^]
Win32 fixes:
https://github.com/ecere/ecere-sdk/commit/771ce3a0df3a7c9f4415b764d428292ab0fdcea9 [^]
(0001356)
jerome (administrator)
2014-07-06 12:54

Linux fixes:
https://github.com/ecere/ecere-sdk/commit/cd3e37406c82df49cb4e06a39e9c2443f3dac8af [^]

- Issue History
Date Modified Username Field Change
2009-10-30 02:32 jerome New Issue
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 20:52 redj Relationship added child of 0000429
2010-07-26 19:18 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:20 redj Relationship deleted child of 0000429
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-05-20 01:48 jerome Assigned To => jerome
2014-05-20 01:48 jerome Status new => assigned
2014-05-20 01:48 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-05-20 20:52 jerome Status assigned => resolved
2014-05-20 20:52 jerome Fixed in Version => 0.44.10 64
2014-05-20 20:52 jerome Resolution open => fixed
2014-05-20 20:52 jerome Note Added: 0001301
2014-07-06 12:54 jerome Note Added: 0001356
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker